## com.sun.grizzly
Class ContextTask.TaskPool<E extends ContextTask>

    java.lang.Object
      com.sun.grizzly.util.ConcurrentLinkedQueuePool<E>
          com.sun.grizzly.ContextTask.TaskPool<E>

All Implemented Interfaces:
  ObjectPool<E>

Enclosing class:
  ContextTask

    protected abstract static class ContextTask.TaskPool<E extends ContextTask>

extends ConcurrentLinkedQueuePool<E>

Constructor Summary
`protected` `ContextTask.TaskPool()`

Method Summary
`void` `offer(E task)`

Methods inherited from class com.sun.grizzly.util.ConcurrentLinkedQueuePool
`newInstance, poll`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextTask.TaskPool

    protected ContextTask.TaskPool()

Method Detail

### offer

    public void offer(E task)

  Specified by:
    `offer` in interface `ObjectPool<E extends ContextTask>`
  Overrides:
    `offer` in class `ConcurrentLinkedQueuePool<E extends ContextTask>`

Copyright © 2008 SUN Microsystems. All Rights Reserved.